[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]


On Wed, 18 Oct 2006 17:20:58 -0700, Christopher Stone wrote:

> Just FYI,
> I have filed over 110+ bugs against ATrpms for conflicts against FC/FE
> repositories.  The tracker bug is here:
> http://bugzilla.atrpms.net/show_bug.cgi?id=1028
> Let's hope some good becomes of this.

I've taken a look at http://dl.atrpms.net/all/pth.spec and see no added
value compared with the package in Extras other than that it's 2.0.7
instead of 2.0.6.  v2.0.7 contains only an unneeded upgrade of the build
tools, an updated year in copyright strings, and no changes in the code.
So, it's the typical "if 2.0.6 built fine, why upgrade?" case.

At the spec level, I see %configure enables several options which are the
default already. Apart from that, the spec file is obfuscated with a
non-Fedora macro %lib_dependencies, which seem to hide important packaging
details (e.g. the %files list is truncated and doesn't include shared libs
or a -devel package, most likely because that is done outside the spec in
custom macros).

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]